aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/utils/doexe
diff options
context:
space:
mode:
authorAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-06-10 17:48:16 +0000
committerAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-06-10 17:48:16 +0000
commit52a5d9b789b0998cdd2009c08f0ff24710887be0 (patch)
treeb4a438535eb9f1b45e1874be91e80f0e9c5072d4 /paludis/repositories/e/ebuild/utils/doexe
parent97a2f024cee04b28694739c276492c5fdf15d456 (diff)
downloadpaludis-52a5d9b789b0998cdd2009c08f0ff24710887be0.tar.gz
paludis-52a5d9b789b0998cdd2009c08f0ff24710887be0.tar.xz
Make failure in do* fatal and implement nonfatal in exheres-0.
Diffstat (limited to 'paludis/repositories/e/ebuild/utils/doexe')
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/doexe16
1 files changed, 9 insertions, 7 deletions
diff --git a/paludis/repositories/e/ebuild/utils/doexe b/paludis/repositories/e/ebuild/utils/doexe
index 61189fb13..e3f320755 100755
--- a/paludis/repositories/e/ebuild/utils/doexe
+++ b/paludis/repositories/e/ebuild/utils/doexe
@@ -21,23 +21,24 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
+source "${PALUDIS_EBUILD_DIR}"/die_functions.bash
+
if [[ ! -d ${D} ]]; then
- echo "${0}: \${D} not valid; aborting" >&2
- exit 247
+ paludis_die_or_error "\${D} not valid; aborting"
fi
if [[ ! -d ${T} ]]; then
- echo "${0}: \${T} not valid; aborting" >&2
- exit 247
+ paludis_die_or_error "\${T} not valid; aborting"
fi
if [[ ${#} -lt 1 ]]; then
- echo "${0}: at least one argument needed"
- exit 1
+ paludis_die_or_error "at least one argument needed"
fi
if [[ ! -d "${D}${EXEDESTTREE}" ]]; then
- install -d "${D}${EXEDESTTREE}" || exit 3
+ if ! install -d "${D}${EXEDESTTREE}" ; then
+ paludis_die_or_error "could not create ${D}${EXEDESTTREE}"
+ fi
fi
ret=0
@@ -55,4 +56,5 @@ for x in "$@"; do
install ${EXEOPTIONS} "${mysrc}" "${D}${EXEDESTTREE}" || ret=2
done
+[[ 0 != "${ret}" ]] && paludis_die_or_error "doexe returned error ${ret}"
exit ${ret}